﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestGridCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DomainObjects = new ObservableCollection<DomainObject>();
            Property1Types = new ObservableCollection<Property1Type>();
            Property2Types = new ObservableCollection<Property2Type>();
            Property3Types = new ObservableCollection<Property3Type>();
            Property4Types = new ObservableCollection<Property4Type>();
            Property5Types = new ObservableCollection<Property5Type>();

            Property1Types.Add(new Property1Type() { Id = 1, Description = "Prop 1 Descrip 1" });
            Property1Types.Add(new Property1Type() { Id = 2, Description = "Prop 1 Descrip 2" });
            Property1Types.Add(new Property1Type() { Id = 3, Description = "Prop 1 Descrip 3" });

            Property2Types.Add(new Property2Type() { Id = 1, Description = "Prop 2 Descrip 1" });
            Property2Types.Add(new Property2Type() { Id = 2, Description = "Prop 2 Descrip 2" });
            Property2Types.Add(new Property2Type() { Id = 3, Description = "Prop 2 Descrip 3" });

            Property3Types.Add(new Property3Type() { Id = 1, Description = "Prop 3 Descrip 1" });
            Property3Types.Add(new Property3Type() { Id = 2, Description = "Prop 3 Descrip 2" });
            Property3Types.Add(new Property3Type() { Id = 3, Description = "Prop 3 Descrip 3" });

            Property4Types.Add(new Property4Type() { Id = 1, Description = "Prop 4 Descrip 1" });
            Property4Types.Add(new Property4Type() { Id = 2, Description = "Prop 4 Descrip 2" });
            Property4Types.Add(new Property4Type() { Id = 3, Description = "Prop 4 Descrip 3" });

            Property5Types.Add(new Property5Type() { Id = 1, Description = "Prop 5 Descrip 1" });
            Property5Types.Add(new Property5Type() { Id = 2, Description = "Prop 5 Descrip 2" });
            Property5Types.Add(new Property5Type() { Id = 3, Description = "Prop 5 Descrip 3" });

            DataContext = this;
        }

        public ObservableCollection<DomainObject> DomainObjects { get; set; }

        public ObservableCollection<Property1Type> Property1Types { get; set; }
        public ObservableCollection<Property2Type> Property2Types { get; set; }
        public ObservableCollection<Property3Type> Property3Types { get; set; }
        public ObservableCollection<Property4Type> Property4Types { get; set; }
        public ObservableCollection<Property5Type> Property5Types { get; set; }
    }




    public class DomainObject
    {
        [Display(Name = "Name", Order = 1)]
        public string Description { get; set; }
        [Display(Name = "Property 1", Order = 2)]
        public int Property1 { get; set; }
        [Display(Name = "Property 2", Order = 3)]
        public int Property2 { get; set; }
        [Display(Name = "Property 3", Order = 4)]
        public int Property3 { get; set; }
        [Display(Name = "Property 4", Order = 5)]
        public int Property4 { get; set; }
        [Display(Name = "Property 5", Order = 6)]
        public int Property5 { get; set; }
    }

    public class Property1Type { public int Id { get; set; } public string Description { get; set; } }
    public class Property2Type { public int Id { get; set; } public string Description { get; set; } }
    public class Property3Type { public int Id { get; set; } public string Description { get; set; } }
    public class Property4Type { public int Id { get; set; } public string Description { get; set; } }
    public class Property5Type { public int Id { get; set; } public string Description { get; set; } }
}
